Subject: Re: [CCAMP] [mpls] 答复: Question regarding RFC 7260

From: Naveen T <[email-masked]>
Date: Fri, 3 Mar 2017 04:09:07 +0000 (UTC)

Thanks Adrian and Fatai.From what you say, it looks like I need to have an implementation for RFC 6373before I go onto signal the OAM entities for MPLS-TP paths. Thanks and Regards,Naveen T

    On Thursday, 23 February 2017 4:10 PM, Adrian Farrel <[email-masked]> wrote:

 #yiv2575976584 #yiv2575976584 -- _filtered #yiv2575976584 {font-family:Helvetica;panose-1:2 11 6 4 2 2 2 2 2 4;} _filtered #yiv2575976584 {font-family:SimSun;panose-1:2 1 6 0 3 1 1 1 1 1;} _filtered #yiv2575976584 {font-family:SimSun;panose-1:2 1 6 0 3 1 1 1 1 1;} _filtered #yiv2575976584 {font-family:Calibri;panose-1:2 15 5 2 2 2 4 3 2 4;} _filtered #yiv2575976584 {font-family:Tahoma;panose-1:2 11 6 4 3 5 4 4 2 4;} _filtered #yiv2575976584 {panose-1:2 1 6 0 3 1 1 1 1 1;} _filtered #yiv2575976584 {panose-1:2 11 6 0 7 2 5 8 2 4;} _filtered #yiv2575976584 {panose-1:2 11 6 0 7 2 5 8 2 4;}#yiv2575976584 #yiv2575976584 p.yiv2575976584MsoNormal, #yiv2575976584 li.yiv2575976584MsoNormal, #yiv2575976584 div.yiv2575976584MsoNormal {margin:0cm;margin-bottom:.0001pt;font-size:12.0pt;font-family:SimSun;}#yiv2575976584 a:link, #yiv2575976584 span.yiv2575976584MsoHyperlink {color:blue;text-decoration:underline;}#yiv2575976584 a:visited, #yiv2575976584 span.yiv2575976584MsoHyperlinkFollowed {color:purple;text-decoration:underline;}#yiv2575976584 span.yiv2575976584EmailStyle17 {color:#1F497D;}#yiv2575976584 span.yiv2575976584EmailStyle18 {color:#1F497D;}#yiv2575976584 span.yiv2575976584SpellE {}#yiv2575976584 .yiv2575976584MsoChpDefault {font-size:10.0pt;} _filtered #yiv2575976584 {margin:72.0pt 90.0pt 72.0pt 90.0pt;}#yiv2575976584 div.yiv2575976584WordSection1 {}#yiv2575976584 _filtered #yiv2575976584 {} _filtered #yiv2575976584 {} _filtered #yiv2575976584 {} _filtered #yiv2575976584 {} _filtered #yiv2575976584 {} _filtered #yiv2575976584 {} _filtered #yiv2575976584 {} _filtered #yiv2575976584 {} _filtered #yiv2575976584 {} _filtered #yiv2575976584 {}#yiv2575976584 ol {margin-bottom:0cm;}#yiv2575976584 ul {margin-bottom:0cm;}#yiv2575976584 Fatai is right, I think.  If you want to operate "static" MPLS LSPs without using a control plane, then it would (IMO) be peculiar to suddenly want to use a control plane to configure and manage OAM on that LSP.  Why would you not use the same static provisioning tools?  Of course, there is also RFC 7212 available to you.  Adrian    From: mpls [mailto:[email-masked]] On Behalf Of Fatai Zhang
Sent: 23 February 2017 03:30
To: Naveen T; [email-masked]; Mpls
Subject: [mpls] 答复: [CCAMP] Question regarding RFC 7260  Hi Naveen,  Per RFC 7487,  I think there should be GMPLS control plane for OAM configuration purpose.           Thanks  Fatai  发件人: CCAMP [mailto:[email-masked]] 代表 Naveen T
发送时间: 2017年2月22日 21:50
收件人: [email-masked]; Mpls
主题: [CCAMP] Question regarding RFC 7260  Dear Authors, et al.,  RFC 7260 describes the procedures for OAM configuration and control via RSVP-TE. RFC 7467 further extends this to provide procedures to configure pro-active OAMs like BFD, FMS etc.   I have a query regarding the usage of RSVP-TE to carry the OAM configurations from the MPLS-TP tunnel ingress to the tunnel egress.Considering that the MPLS-TP bi-directional LSP has been established statically and the requirement is to only signal the OAM entities, I have the following assumptions:1.  An IGP path must be established between the MPLS-TP tunnel's ingress and egress LERs.2.  The MPLS-TP node_id of and LER/LSR, defined here, will also be configured as that LER's/LSR's loopback interface's address.3.  The IGP will ensure that each LER/LSR learns about all the LSRs/LERs along the MPLS-TP transport path.4.  RSVP-TE will use this IGP path to send/receive the PATH/RESV messages.  Are these assumptions correct?Or, should there be a GMPLS control-plane adjacency between LERs/LSRs along the MPLS-TP path with the TE links on these nodes acting as the MPLS-TP NNI interfaces?  Thanks and Regards,Naveen T      
_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls